#!/usr/bin/env python
#----------------------------------------------------------------------
#
# Name: project_utilities.py
#
# Purpose: A python module containing various experiment-specific
#          python utility functions.
#
# Created: 28-Oct-2013  H. Greenlee
#
#----------------------------------------------------------------------

import os

# Don't fail (on import) if samweb is not available.

try:
    import samweb_cli
except ImportError:
    pass

def get_setup_script_path():

    OASIS_DIR="/cvmfs/argoneut.opensciencegrid.org/products/argoneut/"
    FERMIAPP_DIR="/grid/fermiapp/products/argoneut/"

    if os.path.isfile(OASIS_DIR+"setup_argoneut.sh"):
        setup_script = OASIS_DIR+"setup_argoneut.sh"
    elif os.path.isfile(FERMIAPP_DIR+"setup_argoneut.sh"):
        setup_script = FERMIAPP_DIR+"setup_argoneut.sh"
    else:
        raise RuntimeError("Could not find setup script at "+FERMIAPP_DIR+" or "+OASIS_DIR)

    return setup_script

